%define name         kreetingkard
%define version      0.7.1
%define release      %mkrel 3
%define summary      KreetingKard is a tool for making greeting cards


Name:               %name
Version:            %version
Release:            %release
Summary:            %summary 
Source0:            http://keihanna.dl.sourceforge.jp/%{name}/12276/%{name}-%{version}.tar.bz2
Source10:           kreetingkard-16.png
Source11:           kreetingkard-32.png
Source12:           kreetingkard-48.png
#(nl) Fix Build for Gcc 4.1.1
patch0:		    kreetingkard-0.7.1-fix-build-gcc411.patch

Group:              Office
License:            GPL
Url:                http://linux-life.net/program/cc/kde/app/kreetingkard/
BuildRoot:          %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:           kdelibs
Requires:           lha
BuildRequires:      kdelibs-devel

%description

KreetingKard is a tool for making greeting cards. 
It allows you to make greeting cards easily by 
choosing a template and changing the words.

%prep
%setup -q -n %{name}-%version
%patch0 -p1

%build
[[ ! -x configure ]] && make -f Makefile.cvs

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure2_5x --disable-rpath

%make

%install

rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}



install -m644 %SOURCE10 -D %{buildroot}/%_miconsdir/%{name}.png
install -m644 %SOURCE11 -D %{buildroot}/%_iconsdir/%{name}.png
install -m644 %SOURCE12 -D %{buildroot}/%_liconsdir/%{name}.png


mkdir -p %{buildroot}/%{_menudir}


#Menu
kdedesktop2mdkmenu.pl %{name} "Office/Drawing" $RPM_BUILD_ROOT%{_datadir}/applnk/Office/kreetingkard.desktop $RPM_BUILD_ROOT%{_menudir}/%{name}

perl -pi -e 's/\015$//' %buildroot/%{_datadir}/mimelnk/application/x-kreetingkard.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
%if %mdkversion > 200600
%update_icon_cache crystalsvg
%endif

%postun
%clean_menus
%if %mdkversion > 200600
%clean_icon_cache crystalsvg
%endif

%files -f %{name}.lang
%defattr(-,root,root)

%{_bindir}/kreetingkard

%{_menudir}/%{name}

%{_datadir}/applnk/Office/kreetingkard.desktop
%{_datadir}/apps/kreetingkard
%dir %{_docdir}/HTML/en/kreetingkard/
%doc %{_docdir}/HTML/en/kreetingkard/common
%doc %{_docdir}/HTML/en/kreetingkard/index.cache.bz2
%doc %{_docdir}/HTML/en/kreetingkard/index.docbook
%{_iconsdir}/crystalsvg/*/*/*.png

%{_datadir}/mimelnk/application/x-kreetingkard.desktop

%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%Changelog
* Sun Jul 02  2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.1-3mdv2007.0
- Rebuils for new menu && extension
- Use macros for icons

* Tue Feb 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.1-2mdk
- Reupload  for missing src.rpm

* Tue Dec 20 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.7.1-1mdk
- new release

* Sun Dec 11 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.4-1mdk
- 0.6.4

* Wed Nov 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.3-1mdk
- 0.6.3

* Wed Nov 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.2-1mdk
- 0.6.2

* Mon Nov 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-2.20051121.1mdk
-  From UTUMI Hirosi 
	- latest snapshot
	- don't remove iconsdir

* Tue Nov 15 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.1-1mdk
- 0.6.1

* Mon May 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.0-1mdk
- First Mandriva release
